Bug 823601 - can not verify 802.1x network identity in selinux enforcing mode with certificate given nm-applet
can not verify 802.1x network identity in selinux enforcing mode with certifi...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: NetworkManager (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity high
: rc
: 6.4
Assigned To: Dan Williams
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 11:51 EDT by David Jaša
Modified: 2013-01-10 08:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-14 05:25:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2012-05-21 11:51:39 EDT
Description of problem:
can not verify 802.1x network identity in selinux enforcing mode with certificate given nm-applet because NetworkManager or wpa_supplicant daemon.

I presume that nm-applet gives just location of the file to NetworkManager daemon which subsequently gives it to wpa_supplicant and when the file happens to have user-only permissions or selinux context, its contents are unreachable by system daemons. The cleanest solution IMO is to let nm-applet hand the certificate over d-bus to NetworkManager daemon which can subsequently give it to wpa_supplicant

Version-Release number of selected component (if applicable):
NetworkManager-gnome-0.8.1-32.el6.x86_64
NetworkManager-0.8.1-32.el6.x86_64
wpa_supplicant-0.7.3-3.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. put a CA certificate that is used to sign WPA Enterprise network to $HOME/ca.cert
2. set up the network in nm-applet/nm-connection editor
3. connect to the network
  
Actual results:
connection fails. Sometimes it generates AVC report (on vbenes's computer), in my case, it's silent.

when you repeat with selinux in permissive or disabled mode, connection to the network works

Expected results:
connect to the network works in enforcing mode, too

Additional info:
Comment 1 David Jaša 2012-05-21 11:54:32 EDT
might be the same as https://bugzilla.redhat.com/show_bug.cgi?id=682724 .
Comment 2 Miroslav Grepl 2012-05-30 05:06:48 EDT
Could you do

# setenforce 1
# setenforce 0
# semodule -DB

reproduce it and

# ausearch -m avc -ts recent |audit2allow
Comment 5 RHEL Product and Program Management 2012-07-10 04:42:35 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 6 RHEL Product and Program Management 2012-07-10 20:04:02 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 7 RHEL Product and Program Management 2012-12-14 03:44:58 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.